# Generated from feedstock-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name feedstock

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: A library for creating RSS feeds from webpages
License: Unlicense
URL: https://github.com/pyrmont/feedstock/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(warning)
BuildArch: noarch

%description
Feedstock is a Ruby library for extracting information from an HTML/XML
document and inserting it into an ERB template.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/default.xml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/feedstock.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.3.0-1
- Initial package
